dOCR

List captures

Returns a unified, newest-first list of everything your organization has captured — both rendered screenshots and uploaded documents — up to 100 items.

Returns a unified, newest-first list of everything your organization has captured — both rendered screenshots and uploaded documents — up to 100 items. Use the kind field to tell them apart.

GET
/captures
AuthorizationBearer <token>

API key as a Bearer token: Authorization: Bearer docr_sk_…

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://app.docr.dev/api/v1/captures"
{
  "captures": [
    {
      "id": "6a382443304f240b189f228a",
      "orgId": "6a1f0c2e9b4d3a7e5c8f1029",
      "kind": "screenshot",
      "status": "ready",
      "format": "png",
      "url": "https://res.cloudinary.com/docr/image/upload/screenshot-6a382443.png",
      "sourceUrl": null,
      "width": 1280,
      "height": 3840,
      "pageCount": null,
      "createdAt": "2026-10-07T17:55:41Z",
      "updatedAt": "2026-10-07T17:55:44Z"
    }
  ]
}
{
  "error": "Invalid or revoked API key"
}
{
  "error": "IP 203.0.113.4 is not whitelisted"
}